Subject: Pine3.90 as ESMTP client, maybe?

From: Unemployed Eastern European System Cracker in Michigan <[email-masked]>
Date: Sat, 7 May 1994 22:27:01 -0400 (EDT)

Your message was read in Michigan from Washington DC via IMAP from
the machine in Košice, Slovakia, where it appeAAAAAAAGH!!  SHUT UP!
It was NOT!!!!@!

    Ooops, sorry about that.  Ahem.  As Pine will function happily
as a SMTP client, making a connection to perhaps a different machine
to pass along a mail message, will the next release of Pine, or one
upcoming shortly, have ESMTP support for 8BITMIME?

    I know the U Washington still relies on IDA 5.65 on most of its
machines, but from headers I can see that Pine is seeing widespread
usage at many schools which speak EHLO, having upgraded to BSD sendmail
8.6.whatever, and even the latest ZMailer, which is installed on my
machine in Slovakia, speaks ESMTP, and this would be a good chance
for me to be distracted by that.

    The advantage of Pine as an ESMTP client, for those who do not
know, would be that it could pass a message as 8-bit text, rather than
converting it to QUOTED-PRINTABLE or BASE64, with the resulting
increase in message size.  Then, if I need to mail images from Europe
to my friends at the U of Michigan, it would consume no more bandwidth
than an FTP transfer, rather than being 4/3 the size of the attachment.
Of course, if the server does not speak ESMTP, Pine would send the
message as it does now with SMTP.  The Crack Pine Team could only get
BASE64-encoded pictures, instead of a BINARY transfer, until upgrading.

    If I understand this right, this could only work when Pine passes
the message off with SMTP (ESMTP) rather than handing it off to the
sendmail program directly, since Pine would have no way of knowing
whether the sendmail supports 8BITMIME without actually talking to it.
For users who prefer to have the local machine do the delivery with
sendmail, rather than speaking SMTP to it, I suppose there could be a
system-wide configuration option which could be set if some MIME-aware
sendmail is installed on the system.  However, this would lead to
difficulties if the value is set and the sendmail does not truly speak
ESMTP, such as IDA 5.65 or whatever, perhaps compiled for an 8-bit-clean
path, since it would not know how to convert the message to a 7-bit
transfer method if the machine it speaks to does not handle 8BITMIME.
(There are quite a few people who believe all that is necessary to be
able to handle 8-bit mail safely is to configure their sendmail for an
8-bit-clean path, but that's not enough, and permitting Pine to speak
8-bit without verifying that the mailer can convert to a 7-bit transfer
method would go against MIME, so it's probably best to use the 8-bit
transfer only when configured as an ESMTP client.)

    So, I just thought I'd ask to see when this would be supported,
to help Pine take fuller advantage of the MIME-aware mailers that are
becoming increasingly common...

Barry Bouwsma; I'll go away and leave you alone now
<[email-masked]>  <[email-masked]>  <[email-masked]>